\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(a)]
		\item \begin{align*}
		\lnot P \lor (R \land S) &\sim (\lnot P \lor R) \land (\lnot P \lor S) \tag{10} \\
		&\sim (P \to R) \land (\lnot P \lor S) \tag{20} \\
		&\sim (P \to R) \land (P \to S) \tag{20}
		\end{align*}
		\item \begin{align*}
		\lnot(Q \land \lnot R) &\sim \lnot Q \lor \lnot \lnot R \tag{19} \\
		&\sim \lnot Q \lor R \tag{13}
		\end{align*}
		\item \begin{align*}
		(\lnot P \lor R) \land S &\sim S \land (\lnot P \lor R) \tag{4} \\
		&\sim S \land (P \to R) \tag{20} \\
		&\sim S \land ((P \land (P \lor Q)) \to R) \tag{7}
		\end{align*}
		\item \begin{align*}
		S \lor (S \to (R \lor P)) \land Q &\sim (S \lor (\lnot S \lor (R \lor P))) \land Q \tag{20} \\
		&\sim ((S \lor \lnot S) \lor (R \lor P) \land Q \tag{5} \\
		&\sim 1 \lor (R \lor P) \land Q \tag{11} \\
		&\sim 1 \land Q \tag{14} \\
		&\sim Q \tag{15} \\
		&\sim Q \lor (Q \land P) \tag{8} \\
		&\sim Q \lor (P \land Q) \tag{4} \\
		&\sim (P \land Q) \lor Q \tag{3} \\
		&\sim \lnot (P \land Q) \to Q \tag{20} \\
		&\sim (\lnot P \lor \lnot Q) \to Q \tag{19} \\
		&\sim (\lnot \lnot P \to \lnot Q) \to Q \tag{20} \\
		&\sim (P \to \lnot Q) \to Q \tag{13}
		\end{align*}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item \begin{enumerate}[i.]
			\item $P \liff Q \sim (P \land Q) \lor (\lnot P \land \lnot Q)$ (by (30).)
			\item \begin{align*}
			P \to (Q \to (\lnot P \land R)) &\sim P \to (\lnot Q \lor (\lnot P \land R)) \tag{20} \\
			&\sim \lnot P \lor \lnot Q \lor (\lnot P \land R) \tag{20} \\
			&\sim \lnot P \lor \lnot Q \tag{8}
			\end{align*}
		\end{enumerate}
		\item \begin{enumerate}[i.]
			\item $(P \land Q \land R) \lor (P \land Q \land \lnot R) \lor (\lnot P \land \lnot Q \land R) \lor (\lnot P \land \lnot Q \land \lnot R)$
			\item $(P \land \lnot Q \land R) \lor (P \land \lnot Q \land \lnot R) \lor (\lnot P \land Q \land R) \lor (\lnot P \land Q \land \lnot R) \lor (\lnot P \land \lnot Q \land R) \lor (\lnot P \land \lnot Q \land \lnot R)$
		\end{enumerate}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item \mbc{S} is not satisfiable. \{$\lnot F, $G\} is obviously satisfiable. However, for $(F \lor \lnot G)$ to be satisfiable as well, either $\varphi(F)$ or $\varphi(\lnot G)$ need to equal 1. WOLOG, if $\varphi(F) = 1$, then $\varphi(F \land \lnot F) = 1$, which is not possible for a satisfiable set.
		\item \mbc{S} is satisfiable. $(F \to G) \lor \lnot G \sim \lnot F \lor G \lor \lnot G \sim \lnot F \lor 1 \sim 1$. Likewise, $F \to (\lnot H \lor F) \sim \lnot F \lor \lnot H \lor F \sim 1 \lor \lnot H \sim 1$. So, \mbc{S} is really just \{1\}, which is satisfiable.
		\item \mbc{S} is not satisfiable. $(F \land \lnot(F \lor G)) \sim (F \land \lnot F \land \lnot G)$, which is not a satisfiable formula, as it contains $F \land \lnot F$.
	\end{enumerate}
	\item By definition, $\varphi(F \to G) = 0$ iff $\varphi(F) = 1$ and $\varphi(G) = 0$. Also, $\Sigma \vDash H$ iff $\forall K \in \Sigma$ s.t. $\varphi(K) = 1$, $\varphi(H) = 1$. \\
	\mbc{S} $\vDash (F \to G$). This means that every truth assignment $\varphi$ that makes $H \in \mbc{S}$ true, $\varphi(F \to G) = 1$. Now consider the set $\mbc{S} \cup \{F\}$. Let $H = F$. Then $\varphi(F) = 1$. Also, $\varphi(F \to G) = 1$. The only way for this to occur is if $\varphi(G) = 1$. Therefore, $\mbc{S} \cup \{F\} \vDash G$.
	\item $\varphi(\lnot(G \to (G \land \lnot F))) = 1$ iff $\varphi(G \to (G \land \lnot F)) = 0$ iff $\varphi(G) = 1$ and $\varphi(G \land \lnot F) = 0$ iff either $\varphi(G)$ and/or $\varphi(\lnot F) = 0$. \\
	$\varphi(H \lor \lnot F) = 1$ iff either $\varphi(H)$ and/or $\varphi(\lnot F) = 1$. \\
	$\varphi(G \land H) = 1$ iff $\varphi(G) = \varphi(H) = 1$. \\
	Setting $\varphi(G) = 1$, $\varphi(\lnot F) = 0$, and $\varphi(H) = 1$ satisfies both the premisses, and also the conclusion. Therefore, the argument is valid.
\end{enumerate}

\end{document}